%define _name gswitchit

Name: gnome-applets-extra-%_name-plugins
Version: 0.1
Release: alt1

Summary: Plugins for GSwitchIt
Summary (ru_RU.UTF-8): Дополнения для GSwitchIt
Group: Graphical desktop/GNOME
License: GPL
Url: http://%_name.sourceforge.net

Source: http://%_name.sourceforge.net/%{_name}_plugins-%version.tar.gz
Patch: %{_name}_plugins-0.1-alt-gettext.patch

%define GConf_ver 2.4.0

PreReq: GConf2 >= %GConf_ver
Requires: gnome-applets-extra-%_name >= 2.5.0

BuildPreReq: libtool_1.4

# Automatically added by buildreq on Fri Oct 24 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel glib2-devel glibc-devel-static gnome-applets-extra-gswitchit-devel gnome-vfs2-devel libGConf2-devel libORBit2 libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel pkgconfig

%description
GSwitchIt is just a simple keyboard state indicator and switcher for
GNOME panel. GSwitchIt - controls and shows switching between the
different keyboard layouts separately for different windows.

This package provides some plugins for GSwitchIt.

%description -l ru_RU.UTF-8
GSwitchIt - простой индикатор и средство выбора раскладки клавиатуры для панели GNOME.
Этот пакет содержит дополнения для GSwitchIt

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %{_name}_plugins-%version
%patch -p1

%build
%set_libtool_version 1.4

%configure --disable-install-schemas \
	    --disable-static

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome %{_name}_plugins

%post
%gconf2_install %{_name}_plugins
%update_scrollkeeper

%postun
%clean_scrollkeeper

%files -f %{_name}_plugins.lang
%dir %_libexecdir
%_libexecdir/*
%_datadir/%{_name}_plugins
%_datadir/sounds/*
%config %_sysconfdir/gconf/schemas/*
%config %_sysconfdir/sound/events/*
%doc README ChangeLog AUTHORS

%changelog
* Fri Oct 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1-alt1
- First build for Sisiphus.
